# ObjectIdListC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`

Include dependency graph for ObjectIdListC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA
namespace | TAO

## Classes

class | CORBA::ORB_ObjectIdList

## Defines

#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_ORB_OBJECTIDLIST_CH_

## Typedefs

typedef CORBA::String_var | ORB_ObjectId_var
typedef CORBA::String_out | ORB_ObjectId_out
typedef TAO_MngSeq_Var_T< ORB_ObjectIdList, TAO_SeqElem_String_Manager > | ORB_ObjectIdList_var
typedef TAO_MngSeq_Out_T< ORB_ObjectIdList, ORB_ObjectIdList_var, TAO_SeqElem_String_Manager > | ORB_ObjectIdList_out

## Functions

TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::ORB_ObjectIdList &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::ORB_ObjectIdList &)

## Define Documentation

#define _CORBA_ORB_OBJECTIDLIST_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef CORBA::String_out CORBA::ORB_ObjectId_out

typedef CORBA::String_var CORBA::ORB_ObjectId_var

typedef TAO_MngSeq_Out_T< ORB_ObjectIdList, ORB_ObjectIdList_var, TAO_SeqElem_String_Manager > CORBA::ORB_ObjectIdList_out

typedef TAO_MngSeq_Var_T< ORB_ObjectIdList, TAO_SeqElem_String_Manager > CORBA::ORB_ObjectIdList_var

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::ORB_ObjectIdList & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::ORB_ObjectIdList & |
| ) |